Package org.silverpeas.components.yellowpages.model

## Class TopicDetail

- java.lang.Object
- - org.silverpeas.components.yellowpages.model.TopicDetail

- All Implemented Interfaces:
    `Serializable`

      public class TopicDetail
      extends Object
      implements Serializable

  This object contains elements which are displayed in a yellow page Topic
  Version:
    1.0
  Author:
    Nicolas Eysseric
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `BIN_ID` |
    `static String` | `ROOT_ID` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopicDetail()` | Construct an empty TopicDetail
    `TopicDetail​(Collection<org.silverpeas.core.node.model.NodeDetail> path, org.silverpeas.core.node.model.NodeDetail nodeDetail, Collection<UserContact> contactDetails, Collection<Integer> nbContactByTopic)` | Create a new TopicDetail

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Collection<UserContact>` | `getContactDetails()` | Get a ContactDetail collection containing all the contacts in this topic
    `Collection<Integer>` | `getNbContactByTopic()` | Get a int collection containing the number of contacts of each sub topics
    `org.silverpeas.core.node.model.NodeDetail` | `getNodeDetail()` | Get the detail of this topic
    `org.silverpeas.core.node.model.NodePK` | `getNodePK()` | Get the Topic nodePK
    `Collection<org.silverpeas.core.node.model.NodeDetail>` | `getPath()` | Get the path
    `void` | `setPath​(Collection<org.silverpeas.core.node.model.NodeDetail> path)` | Set the path

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_ID

          public static final String ROOT_ID

      See Also:
        Constant Field Values

    - #### BIN_ID

          public static final String BIN_ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TopicDetail

          public TopicDetail()

      Construct an empty TopicDetail

    - #### TopicDetail

          public TopicDetail​(Collection<org.silverpeas.core.node.model.NodeDetail> path,
                             org.silverpeas.core.node.model.NodeDetail nodeDetail,
                             Collection<UserContact> contactDetails,
                             Collection<Integer> nbContactByTopic)

      Create a new TopicDetail

  - ### Method Detail

    - #### getPath

          public Collection<org.silverpeas.core.node.model.NodeDetail> getPath()

      Get the path
      Returns:
        the path

    - #### getNodePK

          public org.silverpeas.core.node.model.NodePK getNodePK()

      Get the Topic nodePK
      Returns:
        the Topic nodePK
      See Also:
        `NodePK`

    - #### getNodeDetail

          public org.silverpeas.core.node.model.NodeDetail getNodeDetail()

      Get the detail of this topic
      Returns:
        the detail of this topic
      See Also:
        `NodeDetail`

    - #### getContactDetails

          public Collection<UserContact> getContactDetails()

      Get a ContactDetail collection containing all the contacts in this topic
      Returns:
        a ContactDetail collection containing all the contacts in this topic
      See Also:
        `ContactDetail`, `Collection`

    - #### getNbContactByTopic

          public Collection<Integer> getNbContactByTopic()

      Get a int collection containing the number of contacts of each sub topics
      Returns:
        a int collection containing the number of contacts of each sub topics
      See Also:
        `Collection`

    - #### setPath

          public void setPath​(Collection<org.silverpeas.core.node.model.NodeDetail> path)

      Set the path
      Parameters:
        `path` - a NodeDetail Collection